NSIS(1)

NAME
GenPat - A program to create patch files in VPatch format.

SYNOPSIS

GenPat [-R] [-B=64] [-V] [-O] [-A=500] [source] [target] [patch.pat]

DESCRIPTION

This manual page documents briefly the GenPat command.

This manual page was written for the Debian (TM) distribution because the original program does not have a manual page. Instead, it has documentation in the HTML format; see below.

GenPat is a program that creates installer programs for Windows.

OPTIONS

-R
    Replace a patch with same contents as source silently if it already exists.

-B=64
    Set blocksize (default=64), multiple of 2 is required.

-V
    More verbose information during patch creation.

-O
    Deactivate match limit of the -A switch (sometimes smaller patches).

-A=500
    Maximum number of block matches per block (improves performance). Default is 500, larger is slower. Use -V to see the cut-off aborts.

EXIT STATUS

0
    Success

1
    Arguments missing

2
    Other error

3
    Source file already has a patch in specified patch file (=error)

SEE ALSO

GenPat is documented more fully in the HTML file /usr/share/doc/nsis/Docs/VPatch/Readme.html.

AUTHOR

Paul Wise <pabs@debian.org>
    This manual page was written by Paul Wise <pabs@debian.org> for the Debian (TM) system.

COPYRIGHT
Copyright © 2005 Paul Wise